Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Lisp program to pop up plot window

2 REPLIES 2
SOLVED
Reply
Message 1 of 3
arunkumar_selvarajan
215 Views, 2 Replies

Lisp program to pop up plot window

currently im trying to do spell check and after that plot should happen, for that I have created the below code,

 

(defun c:SpellCheckAndPlot ()
(command "SPELL")
(command "PLOT")
)

 

I want the Lisp program to pop up plot window only. 

 

Thanks in Advance

Labels (3)
2 REPLIES 2
Message 2 of 3

No commandline version of spell command?


Paul Li
IT Specialist
@The Office
Apps & Publications | Video Demos
Message 3 of 3

@arunkumar_selvarajan hi,

 

Yes you can do it, check this 😀

 

enjoy

Moshe

 

 

 

(vl-load-com)

(defun (defun c:SpellCheckAndPlot ()
 (command-s "SPELL")

 (if (= (getvar "diastat") 1)
  (vla-sendcommand (vla-get-activedocument (vlax-get-acad-object)) "PLOT\n")
 )
)
       

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

AutoCAD Inside the Factory


Autodesk Design & Make Report